using System;
using Infragistics.Windows.DataPresenter.Events;

internal sealed class Delegate515 : MulticastDelegate
{
	public extern void Invoke(object sender, EventHandler<RecordUpdatedEventArgs> e);

	public static void smethod_0(object object_0, EventHandler<RecordUpdatedEventArgs> eventHandler_0, Delegate515 delegate515_1)
	{
		delegate515_1(object_0, eventHandler_0);
	}

	public extern Delegate515(object object_0, IntPtr intptr_0);

	static Delegate515()
	{
		Class10.smethod_13(typeof(Delegate515).TypeHandle);
	}

	internal static Delegate515 delegate515_0;
}
